Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class PeopleAssignmentsImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.PeopleAssignmentsImpl

All Implemented Interfaces:
  Externalizable, Serializable, PeopleAssignments, org.kie.internal.task.api.model.InternalPeopleAssignments

    @Embeddable
    public class PeopleAssignmentsImpl

extends Object
implements org.kie.internal.task.api.model.InternalPeopleAssignments

See Also:
  Serialized Form

Constructor Summary
`PeopleAssignmentsImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`List<OrganizationalEntity>` | `getBusinessAdministrators()`
`List<OrganizationalEntity>` | `getExcludedOwners()`
`List<OrganizationalEntity>` | `getPotentialOwners()`
`List<OrganizationalEntity>` | `getRecipients()`
`User` | `getTaskInitiator()`
`List<OrganizationalEntity>` | `getTaskStakeholders()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setBusinessAdministrators(List<OrganizationalEntity> businessAdministrators)`
`void` | `setExcludedOwners(List<OrganizationalEntity> excludedOwners)`
`void` | `setPotentialOwners(List<OrganizationalEntity> potentialOwners)`
`void` | `setRecipients(List<OrganizationalEntity> recipients)`
`void` | `setTaskInitiator(User taskInitiator)`
`void` | `setTaskStakeholders(List<OrganizationalEntity> taskStakeholders)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeopleAssignmentsImpl

    public PeopleAssignmentsImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getTaskInitiator

    public User getTaskInitiator()

  Specified by:
    `getTaskInitiator` in interface `PeopleAssignments`

### setTaskInitiator

    public void setTaskInitiator(User taskInitiator)

  Specified by:
    `setTaskInitiator` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getPotentialOwners

    public List<OrganizationalEntity> getPotentialOwners()

  Specified by:
    `getPotentialOwners` in interface `PeopleAssignments`

### setPotentialOwners

    public void setPotentialOwners(List<OrganizationalEntity> potentialOwners)

  Specified by:
    `setPotentialOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getExcludedOwners

    public List<OrganizationalEntity> getExcludedOwners()

  Specified by:
    `getExcludedOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### setExcludedOwners

    public void setExcludedOwners(List<OrganizationalEntity> excludedOwners)

  Specified by:
    `setExcludedOwners` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getTaskStakeholders

    public List<OrganizationalEntity> getTaskStakeholders()

  Specified by:
    `getTaskStakeholders` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### setTaskStakeholders

    public void setTaskStakeholders(List<OrganizationalEntity> taskStakeholders)

  Specified by:
    `setTaskStakeholders` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getBusinessAdministrators

    public List<OrganizationalEntity> getBusinessAdministrators()

  Specified by:
    `getBusinessAdministrators` in interface `PeopleAssignments`

### setBusinessAdministrators

    public void setBusinessAdministrators(List<OrganizationalEntity> businessAdministrators)

  Specified by:
    `setBusinessAdministrators` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### getRecipients

    public List<OrganizationalEntity> getRecipients()

  Specified by:
    `getRecipients` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### setRecipients

    public void setRecipients(List<OrganizationalEntity> recipients)

  Specified by:
    `setRecipients` in interface `org.kie.internal.task.api.model.InternalPeopleAssignments`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.